(function ($) {
  'use strict';


  let updateCharts = function () {
    $.get('metrics', function (json) {
      cpu_chart.load({
        columns: [
          ['x'].concat(json.cpu.timestamps),
          ['cpu'].concat(json.cpu.values),
        ],
      });
    });
  };

  let cpu_chart = c3.generate({
    bindto: '#edit-cpu-chart',
    data: {
      x: 'x',
      xFormat: '%Y-%m-%dT%H:%M:%S+00:00',
      xLocaltime: false,
      columns: []
    },
    axis: {
      x: {
        type: 'timeseries',
        tick: {
          format: '%m-%d %H:%M:%S'
        }
      }
    }
  });

  updateCharts();

  let interval = drupalSettings.aws_cloud_monitor_refresh_interval || 10;
  setInterval(function () {
    updateCharts();
  }, interval * 1000);

})(jQuery);
